package com.rjconsultores.ventaboletos.vo.aidf;

import java.util.Date;

import com.rjconsultores.ventaboletos.entidad.AidfTipo;

public class AidfVo {
	
	private Long aidfId;
	private AidfTipo aidfTipo;
	private Integer aidfEspecieId;
	private Integer estadoId;
	private String docfiscal;
	private String acfiscal;
	private String serie;
	private String subserie;
	private String forminicial;
	private String formfinal;
	private Date fecadquisicion;
	private Date fecvencimiento;
	private String inscestadual;
	private Integer empresaId;
	private Boolean activo;
	private Date fecmodif;
	private Integer usuarioId;
	private String cnpj;
	private String tipoValidaVenta;
	public Long getAidfId() {
		return aidfId;
	}
	public void setAidfId(Long aidfId) {
		this.aidfId = aidfId;
	}
	public AidfTipo getAidfTipo() {
		return aidfTipo;
	}
	public void setAidfTipo(AidfTipo aidfTipo) {
		this.aidfTipo = aidfTipo;
	}
	public Integer getAidfEspecieId() {
		return aidfEspecieId;
	}
	public void setAidfEspecieId(Integer aidfEspecieId) {
		this.aidfEspecieId = aidfEspecieId;
	}
	public Integer getEstadoId() {
		return estadoId;
	}
	public void setEstadoId(Integer estadoId) {
		this.estadoId = estadoId;
	}
	public String getDocfiscal() {
		return docfiscal;
	}
	public void setDocfiscal(String docfiscal) {
		this.docfiscal = docfiscal;
	}
	public String getAcfiscal() {
		return acfiscal;
	}
	public void setAcfiscal(String acfiscal) {
		this.acfiscal = acfiscal;
	}
	public String getSerie() {
		return serie;
	}
	public void setSerie(String serie) {
		this.serie = serie;
	}
	public String getSubserie() {
		return subserie==null?"":subserie;
	}
	public void setSubserie(String subserie) {
		this.subserie = subserie;
	}
	public String getForminicial() {
		return forminicial;
	}
	public void setForminicial(String forminicial) {
		this.forminicial = forminicial;
	}
	public String getFormfinal() {
		return formfinal;
	}
	public void setFormfinal(String formfinal) {
		this.formfinal = formfinal;
	}
	public Date getFecadquisicion() {
		return fecadquisicion;
	}
	public void setFecadquisicion(Date fecadquisicion) {
		this.fecadquisicion = fecadquisicion;
	}
	public Date getFecvencimiento() {
		return fecvencimiento;
	}
	public void setFecvencimiento(Date fecvencimiento) {
		this.fecvencimiento = fecvencimiento;
	}
	public String getInscestadual() {
		return inscestadual;
	}
	public void setInscestadual(String inscestadual) {
		this.inscestadual = inscestadual;
	}
	public Integer getEmpresaId() {
		return empresaId;
	}
	public void setEmpresaId(Integer empresaId) {
		this.empresaId = empresaId;
	}
	public Boolean getActivo() {
		return activo;
	}
	public void setActivo(Boolean activo) {
		this.activo = activo;
	}
	public Date getFecmodif() {
		return fecmodif;
	}
	public void setFecmodif(Date fecmodif) {
		this.fecmodif = fecmodif;
	}
	public Integer getUsuarioId() {
		return usuarioId;
	}
	public void setUsuarioId(Integer usuarioId) {
		this.usuarioId = usuarioId;
	}
	public String getCnpj() {
		return cnpj;
	}
	public void setCnpj(String cnpj) {
		this.cnpj = cnpj;
	}
	public String getTipoValidaVenta() {
		return tipoValidaVenta;
	}
	public void setTipoValidaVenta(String tipoValidaVenta) {
		this.tipoValidaVenta = tipoValidaVenta;
	}
	
}
